Bug 735801 - rpmspec prints extra spaces
Summary: rpmspec prints extra spaces
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 13:15 UTC by Kamil Páral
Modified: 2012-03-31 07:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 07:11:18 UTC


Attachments (Terms of Use)
autoqa.spec (3.46 KB, text/x-rpm-spec)
2011-09-05 13:15 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2011-09-05 13:15:52 UTC
Created attachment 521504 [details]
autoqa.spec

Description of problem:

# rpmspec -q --requires autoqa.spec
python(abi) >= 2.6
autotest  
koji  
mod_wsgi  
python-fedora  
python-peak-util-symbols  
httpd  
# rpmspec -q --requires autoqa.spec | od -c
0000000   p   y   t   h   o   n   (   a   b   i   )       >   =       2
0000020   .   6  \n   a   u   t   o   t   e   s   t          \n   k   o
0000040   j   i          \n   m   o   d   _   w   s   g   i          \n
0000060   p   y   t   h   o   n   -   f   e   d   o   r   a          \n
0000100   p   y   t   h   o   n   -   p   e   a   k   -   u   t   i   l
0000120   -   s   y   m   b   o   l   s          \n   h   t   t   p   d
0000140          \n
0000143

Please notice that every line except the first one has two trailing spaces. It might seem trivial, but it causes me some problems when using tools that rely on getting the exact dependency name.

Please modify rpmspec to not print trailing spaces.

Version-Release number of selected component (if applicable):
# rpm -qa rpm* | sort
rpm-4.9.1.1-1.fc15.x86_64
rpm-build-4.9.1.1-1.fc15.x86_64
rpm-build-libs-4.9.1.1-1.fc15.x86_64
rpm-libs-4.9.1.1-1.fc15.x86_64
rpmlint-1.2-1.fc15.noarch
rpm-python-4.9.1.1-1.fc15.x86_64

Comment 1 Panu Matilainen 2011-09-06 04:21:54 UTC
See bug 717534 - this is the same thing, only different popt aliases.

Comment 2 Panu Matilainen 2011-10-12 07:58:01 UTC
FWIW this has been fixed upstream a while ago. Whether it gets backported to 4.9.x is another question, but we can keep this open for Fedora tracking purposes if you want.

Comment 3 Panu Matilainen 2012-03-31 07:11:18 UTC
This getting backported to 4.9.x seems unlikely, but it's fixed in rpm 4.10 / rawhide.


Note You need to log in before you can comment on or make changes to this bug.